TimeStampedDataParser (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.cms

## Class TimeStampedDataParser

- java.lang.Object
- - org.bouncycastle.asn1.cms.TimeStampedDataParser

-     public class TimeStampedDataParser
      extends java.lang.Object

  Parser for RFC 5544: `TimeStampedData` object.

       TimeStampedData ::= SEQUENCE {
         version              INTEGER { v1(1) },
         dataUri              IA5String OPTIONAL,
         metaData             MetaData OPTIONAL,
         content              OCTET STRING OPTIONAL,
         temporalEvidence     Evidence
       }

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1OctetStringParser` | `getContent()`
    `DERIA5String` | `getDataUri()`
    `static TimeStampedDataParser` | `getInstance(java.lang.Object obj)`
    `MetaData` | `getMetaData()`
    `Evidence` | `getTemporalEvidence()`
    `ASN1Primitive` | `toASN1Primitive()` Deprecated. will be removed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TimeStampedDataParser getInstance(java.lang.Object obj)
                                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDataUri

          public DERIA5String getDataUri()

    - #### getMetaData

          public MetaData getMetaData()

    - #### getContent

          public ASN1OctetStringParser getContent()

    - #### getTemporalEvidence

          public Evidence getTemporalEvidence()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Deprecated. will be removed

           TimeStampedData ::= SEQUENCE {
             version              INTEGER { v1(1) },
             dataUri              IA5String OPTIONAL,
             metaData             MetaData OPTIONAL,
             content              OCTET STRING OPTIONAL,
             temporalEvidence     Evidence
           }

      Returns: